Package: org.codehaus.groovy.grails.plugins.codecs

## [Java] Class XMLEncoder

- org.codehaus.groovy.grails.plugins.codecs.XMLEncoder

- - Inherited fields
    Fields inherited from class | Fields
    --- | ---
    `class BasicXMLEncoder` | `XML_CODEC_IDENTIFIER`
    `class AbstractCharReplacementEncoder` | `codecIdentifier`

  - ### Methods Summary

    Methods
    Type | Name and description
    --- | ---
    `protected java.lang.Object` | `encodeAsXmlObject(java.lang.Object o)`

  - ### Inherited Methods Summary

    Inherited Methods
    Methods inherited from class | Name
    --- | ---
    `class BasicXMLEncoder` | `doEncode, encode, encodeAsXmlObject, escapeCharacter, xmlEscapeCharacter`
    `class AbstractCharReplacementEncoder` | `convertToString, createChainingEncodesToWriter, doCharReplacementEncoding, encode, encodeToStream, encodeToWriter, encodeToWriter, escapeCharSequence, escapeCharacter, getCodecIdentifier, isApplyToSafelyEncoded, isSafe, markEncoded`
    `class java.lang.Object` | `java.lang.Object#wait(long, int), java.lang.Object#wait(long), java.lang.Object#wait(), java.lang.Object#equals(java.lang.Object), java.lang.Object#toString(), java.lang.Object#hashCode(), java.lang.Object#getClass(), java.lang.Object#notify(), java.lang.Object#notifyAll()`

- - ### Method Detail

    - #### @java.lang.Override protected java.lang.Object encodeAsXmlObject(java.lang.Object o)